#34 Error while Compiling

v6.0.2
open
nobody
None
1
2013-11-11
2013-11-10
Gaurav Panchal
No

I get following error while compiling

C:\Users\G\Desktop\ultradefrag-6.0.2\src>lua configure.lua
lua: error loading module 'iuplua51' from file 'C:\Program Files (x86)\Lua\5.1\c
libs\iuplua51.dll':
The specified procedure could not be found.

stack traceback:
[C]: ?
[C]: in function 'require'
configure.lua:23: in main chunk
[C]: ?

Can explain the possible reason please

Discussion

  • Hi,

    You have either IUP library not installed on your system, or its version is incompatible with Lua version.


    Dmitri

     
  • Stefan Pendl
    Stefan Pendl
    2013-11-10

    I just checked with my installation of Lua for Windows and get the same error.
    I know that the DLLs and executables are compatible, since it is a full, self-contained package.
    I am using LuaForWindows_v5.1.4-46.

    I remember that everything worked fine with the first few Lua for Windows releases I tested.
    I am no longer using Lua to configure the project, but change the batch script setvars.cmd manually.

    I found there is not much improvement, if I have to copy the paths into text boxes or over some text in a script.

    I would recommend to edit the script setvars.cmd manually, which takes the same amount of time or even less if you have to change just one path.


    Stefan

     
  • Stefan Pendl
    Stefan Pendl
    2013-11-10

    Ticket moved from /p/ultradefrag/bugs/200/

     
  • I agree with this approach, it wouldn't be difficult to edit the script manually. Actually the configurator has been made just for fun :-)

     
  • Stefan Pendl
    Stefan Pendl
    2013-11-11

    • status: unread --> open